/*------------------------------------------------------------------------
                                /\
                             __/__\__
                            /\      /\
                           /  \    /  \ 
                          /    \  /    \
                         /______\/______\
                          /____________\
                          M   M OOOO X  X
                          M M M 0  0  XX
                          M   M OOOO X  X
 
          MOX - Centro de Computacion Avanzada en Ingenieria.
                        Facultad de Ingenieria
                       Universidad de los Andes
                         Bogota, Colombia.
------------------------------------------------------------------------*/

/*************************************************************************
  Nombre: extrafuncs.c    Version: 0.5                  Fecha: Abril-1996
 -------------------------------------------------------------------------
  Descripcion: 
  Tipos:       
  Funciones:   
  Observaciones:  

 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Autor: Daniel Barrero                                  Fecha: Abril-1996 
**************************************************************************/
#include "extrafuncs.h"
#include <string.h>
#include <stdlib.h>
#include <math.h>

/* limpia un string de los tokens dados (lo compacta).*/
char *_xstrclean(char *in,char *tok)
{
 char *tmpout,*tmpopos;
 if(in==NULL || tok==NULL) {
        return NULL;
 }
 tmpout=strdup(in);
 if(tmpout==NULL) {
        return NULL;
 }
 tmpopos=strtok(tmpout,tok);
 strcpy(in,tmpopos);
 while((tmpopos=strtok(NULL,tok))!=NULL) {
        strcat(in,tmpopos);
 }
 free(tmpout);
 return in;
}

char *_xstrlwr(char *in)
{
 int i;
 for(i=0; i<strlen(in); i++) {
        if(in[i]>='A' && in[i]<='Z') {
                in[i]=in[i]-'A'+'a';
        }
 }
 return in;
}

char *_xstrupr(char *in)
{
 int i;
 for(i=0; i<strlen(in); i++) {
        if(in[i]>='a' && in[i]<='z') {
                in[i]=in[i]-'a'+'A';
        }
 }
 return in;
}

